Show / Hide Table of Contents

# Struct StringArrayData

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Component.GUI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct StringArrayData

### Fields

| Improve this Doc View Source

#### AtkArrayData

##### Declaration

    public AtkArrayData AtkArrayData

##### Field Value

Type | Description
--- | ---
AtkArrayData |

| Improve this Doc View Source

#### StringArray

##### Declaration

    public byte **StringArray

##### Field Value

Type | Description
--- | ---
System.Byte** |

| Improve this Doc View Source

#### UnkString

##### Declaration

    public byte *UnkString

##### Field Value

Type | Description
--- | ---
System.Byte* |

### Methods

| Improve this Doc View Source

#### SetValue(Int32, Byte*, Boolean)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 48 8B 4F 10 41 0F B6 9F")]
    public void SetValue(int index, byte *value, bool notify)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |
System.Byte* | value |
System.Boolean | notify |

| Improve this Doc View Source

#### SetValue(Int32, Byte[], Boolean)

##### Declaration

    public void SetValue(int index, byte[] value, bool notify)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |
System.Byte[] | value |
System.Boolean | notify |

| Improve this Doc View Source

#### SetValue(Int32, String, Boolean)

##### Declaration

    public void SetValue(int index, string value, bool notify)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |
System.String | value |
System.Boolean | notify |